Skip to main content
GET
/
services
/
bens
/
api
/
v1
/
{chain_id}
/
protocols
Get list of supported protocols
curl --request GET \
  --url https://api.blockscout.com/services/bens/api/v1/{chain_id}/protocols \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "deployment_blockscout_base_url": "<string>",
      "description": "<string>",
      "docs_url": "<string>",
      "icon_url": "<string>",
      "id": "<string>",
      "short_name": "<string>",
      "title": "<string>",
      "tld_list": [
        "<string>"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

API key passed as a Bearer token in the Authorization header.

Path Parameters

chain_id
string<int64>
required

The chain (network) where to get protocols

Response

A successful response.

items
object[]